/*
   SVG player/display,  version 0.1, Apr 7, 2001
   based on SVG player, version 0.1, Sept 2, 2000
   Vladimir Batagelj, University of Ljubljana
   vladimir.batagelj@uni-lj.si
*/
    var curPic = 0;
    var svgdoc = null;
    var svgobj;
    var svgstyle;
    var PicList = new Array();
    var PicIndex = new Object();

function setAllPics(svgPic,vis){
    svgdoc = eval("document."+svgPic+".getSVGDocument()");
    for (var i = 0; i < PicList.length; i++){
       svgobj = svgdoc.getElementById(PicList[i]);
       svgstyle = svgobj.getStyle();
       svgstyle.setProperty('display',vis);
    };
}

function setPic(svgPic,form,pic,vis){
    curPic = pic;
    svgdoc = eval("document."+svgPic+".getSVGDocument()");
    var picName = PicList[pic];
    svgobj = svgdoc.getElementById(picName);
    svgstyle = svgobj.getStyle();
    svgstyle.setProperty('display', vis);
    form.pic.value = curPic+1;
}

function hideAndShow(svgPic,form,hidePic,showPic){
    setPic(svgPic,form,hidePic,'none');
    setPic(svgPic,form,showPic,'inline');
}

function prevPic(svgPic,form){
    var oldPic = curPic;
    curPic = curPic - 1;
    if(curPic < 0) curPic = oldPic;
    hideAndShow(svgPic,form,oldPic,curPic); 
}

function nextPic(svgPic,form){
    var oldPic = curPic;
    curPic = curPic + 1;
    if(curPic > (PicList.length-1)) curPic = oldPic;
    hideAndShow(svgPic,form,oldPic,curPic); 
}

function delPic(svgPic,form){
    var oldPic = curPic;
    if(curPic > 0) setPic(svgPic,form,curPic,'none');
    curPic = curPic - 1;
    if(curPic < 0) curPic = oldPic;
    form.pic.value = curPic+1;
}

function addPic(svgPic,form){
    var oldPic = curPic;
    curPic = curPic + 1;
    if(curPic > (PicList.length-1)) curPic = oldPic;
    setPic(svgPic,form,curPic,'inline');
}

function getPic(pic,form,msg){
    var answer = -1;
    while ((answer < 1)|(PicList.length < answer))
       answer = eval(prompt(msg,"1"));
    curPic = answer-1;
    answer=eval("form."+pic+".value = answer"); 
}

function selPic(pic,sel,form,msg){
    var answer=eval("form."+sel+".selectedIndex");
    if (answer>=1){curPic = answer-1;
       answer=eval("form."+pic+".value = answer");}
    else alert(msg);
}

function selAndShow(svgPic,sel,form,msg){
    var hidePic=curPic;
    var answer=eval("form."+sel+".selectedIndex");
    if (answer>=1){curPic = answer-1;}
    else alert(msg);
    hideAndShow(svgPic,form,hidePic,curPic);
}